/{conversation-id}用户和 Facebook 公共主页或 Instagram 专业账户间的 Messenger 对话。
GET /v25.0/{conversation-id} HTTP/1.1
Host: graph.facebook.com/* PHP SDK v5.0.0 */
/* make the API call */
try {
// Returns a `Facebook\FacebookResponse` object
$response = $fb->get(
'/{conversation-id}',
'{access-token}'
);
} catch(Facebook\Exceptions\FacebookResponseException $e) {
echo 'Graph returned an error: ' . $e->getMessage();
exit;
} catch(Facebook\Exceptions\FacebookSDKException $e) {
echo 'Facebook SDK returned an error: ' . $e->getMessage();
exit;
}
$graphNode = $response->getGraphNode();
/* handle the result *//* make the API call */
FB.api(
"/{conversation-id}",
function (response) {
if (response && !response.error) {
/* handle the result */
}
}
);/* make the API call */
new GraphRequest(
AccessToken.getCurrentAccessToken(),
"/{conversation-id}",
null,
HttpMethod.GET,
new GraphRequest.Callback() {
public void onCompleted(GraphResponse response) {
/* handle the result */
}
}
).executeAsync();/* make the API call */
FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
initWithGraphPath:@"/{conversation-id}"
parameters:params
HTTPMethod:@"GET"];
[request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
id result,
NSError *error) {
// Handle the result
}];MODERATE 任务的用户请求对于 Instagram 消息,您还需要:
| 名称 | 描述 |
|---|---|
| 对话编号 |
| 指明发出此请求的应用是否为负责回复对话的对话所有者 注意:仅当关联的 Facebook 公共主页或 Instagram 账户已启用对话路由时,系统才会返回此字段 |
| 对话中的消息 |
仅限公共主页消息
仅限公共主页消息
仅限 Instagram 消息 | 对话中的互动者 某位用户的 Instagram 范围编号或公共主页范围编号,或者 Instagram 专业账户的 Instagram 编号或公共主页编号。 用户或公共主页的邮箱 用户或公共主页的名称 用户或 Instagram 专业账户的 Instagram 账号 |
| 对话中最后一条消息的出现时间 |
如需获取有关对话中某条具体消息的信息,请向消息端点发送请求。
您无法使用此连线进行删除。
您无法使用此连线进行更新。
| 名称 | 描述 | 用于发布 |
|---|---|---|
对话中全部消息的列表 | 回复(仅限公共主页) |